Name:           gecko-sharp2
Version:        0.11
Release:        12
Summary:        Gecko bindings for Mono

Group:          System Environment/Libraries
License:        MPL/LGPL
URL:            http://www.mono-project.com/
Source0:        gecko-sharp-2.0-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch1: gecko-sharp-libdir.patch

BuildRequires:  gtk-sharp2-devel firefox-devel gtk2-devel mono-devel gtk-sharp2-gapi
BuildRequires:  automake, libtool
Requires:       firefox 

# Mono only availible on these: (s390(x) disabled for now)
#ExclusiveArch: %ix86 x86_64 ppc ia64 armv4l sparc s390 s390x
ExclusiveArch: %ix86 x86_64 ppc ia64 armv4l sparc

%description
This package provides Mono bindings for the Gecko engine, through
an easy-to-use widget that will allow you to embed a Mozilla
browser window into your Gtk# application.

%package devel
Requires: %{name} = %{version}-%{release}
Summary: Files needed for developing with gecko-sharp2
Group: Development/Libraries

%description devel
This package provides the necessary development libraries and headers
for writing gecko-sharp2 applications.

%prep
%setup -n gecko-sharp-2.0-%{version}
%patch1 -p1 -b .libdir

%build
autoreconf --force --install
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
make install DESTDIR=$RPM_BUILD_ROOT GACUTIL_FLAGS="/package gecko-sharp-2.0 /gacdir %{_libdir} /root ${RPM_BUILD_ROOT}%{_libdir}"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog README
%{_libdir}/mono/gac/gecko-sharp
%{_libdir}/mono/gecko-sharp-2.0

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/*-sharp-2.0.pc


%changelog
* Sat Dec 22 2007 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Sun Sep  3 2006 Christopher Aillon <caillon@redhat.com> - 0.11-12
- Update the pkgconfig file to use the correct LIBDIR (#204254)
- Add -devel sub-package

* Fri Aug 18 2006 Alexander Larsson <alexl@redhat.com> - 0.11-11
- Rebuild with new mono libdir

* Tue Aug  1 2006 Jesse Keating <jkeating@redhat.com> - 0.11-10
- and change the requires to reflect building against firefox-devel

* Mon Jul 31 2006 Jesse Keating <jkeating@redhat.com> - 0.11-9
- build against firefox-devel

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.11-8.1
- rebuild

* Sat Jun 24 2006 Jesse Keating <jkeating@redhat.com> 0.11-8
- BuildRequires: mono-devel, gtk-sharp2-gapi
- Diable s390 as well

* Tue Feb 28 2006 Karsten Hopp <karsten@redhat.de> 0.11-6
- BuildRequires: gtk2-devel

* Sun Feb 12 2006 Christopher Aillon <caillon@redhat.com> 0.11-5
- Rebuild

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> 0.11-4.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Tue Jan 31 2006 Christopher Aillon <caillon@redhat.com> 0.11-4
- Rebuild

* Mon Jan  9 2006 Alexander Larsson <alexl@redhat.com> - 0.11-3
- Add s390

* Mon Nov 21 2005 Alexander Larsson <alexl@redhat.com> 0.11-2
- Put pkgconfig file in /usr/share

* Fri Nov 18 2005 Alexander Larsson <alexl@redhat.com> - 0.11-1
- Initial version

